org.codehaus.groovy.control

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.groovy.control.ConfigurationException

All Implemented Interfaces:
  Serializable, GroovyExceptionInterface

    public class ConfigurationException
    extends RuntimeException
    implements GroovyExceptionInterface

Thrown when configuration data is invalid.

Version:
  $Id: ConfigurationException.java 10493 2008-01-19 10:23:02Z russel $
Author:
  Chris Poirier
See Also:
  Serialized Form

### Field Summary

Fields
`protected Exception` `cause`

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationException(Exception cause)` Initializes the exception from a cause exception.
`ConfigurationException(String message)` Initializes the exception with just a message.

### Method Summary

Methods
`Throwable` `getCause()` Returns the causing exception, if available.
`boolean` `isFatal()` Its always fatal.
`void` `setFatal(boolean fatal)` Set fatal is just ignored.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cause

    protected Exception cause

### Constructor Detail

#### ConfigurationException

    public ConfigurationException(Exception cause)

Initializes the exception from a cause exception.

#### ConfigurationException

    public ConfigurationException(String message)

Initializes the exception with just a message.

### Method Detail

#### getCause

    public Throwable getCause()

Returns the causing exception, if available.

Overrides:
  `getCause` in class `Throwable`

#### isFatal

    public boolean isFatal()

Its always fatal.

Specified by:
  `isFatal` in interface `GroovyExceptionInterface`

#### setFatal

    public void setFatal(boolean fatal)

Set fatal is just ignored.

Specified by:
  `setFatal` in interface `GroovyExceptionInterface`